VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR:
[legend]

## Public Member Functions

| operator VkPhysicalDeviceDriverPropertiesKHR const & () const
| operator VkPhysicalDeviceDriverPropertiesKHR & ()
bool | operator== (PhysicalDeviceDriverPropertiesKHR const &rhs) const
bool | operator!= (PhysicalDeviceDriverPropertiesKHR const &rhs) const

## Data Fields

void * | pNext = nullptr
DriverIdKHR | driverID
char | driverName [VK_MAX_DRIVER_NAME_SIZE_KHR]
char | driverInfo [VK_MAX_DRIVER_INFO_SIZE_KHR]
ConformanceVersionKHR | conformanceVersion

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceDriverPropertiesKHR

## Detailed Description

Definition at line 36369 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceDriverPropertiesKHR &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::operator VkPhysicalDeviceDriverPropertiesKHR & | ( |  | ) |

inline

Definition at line 36376 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceDriverPropertiesKHR*>(this);
}

## operator VkPhysicalDeviceDriverPropertiesKHR const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::operator VkPhysicalDeviceDriverPropertiesKHR const & | ( |  | ) | const

inline

Definition at line 36371 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceDriverPropertiesKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::operator!= | ( | PhysicalDeviceDriverPropertiesKHR const & | rhs | ) | const

inline

Definition at line 36391 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::operator== | ( | PhysicalDeviceDriverPropertiesKHR const & | rhs | ) | const

inline

Definition at line 36381 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( driverID == rhs.driverID )
&& ( memcmp( driverName, rhs.driverName, VK_MAX_DRIVER_NAME_SIZE_KHR * sizeof( char ) ) == 0 )
&& ( memcmp( driverInfo, rhs.driverInfo, VK_MAX_DRIVER_INFO_SIZE_KHR * sizeof( char ) ) == 0 )
&& ( conformanceVersion == rhs.conformanceVersion );
}

References conformanceVersion, driverID, driverInfo, driverName, pNext, sType, VK_MAX_DRIVER_INFO_SIZE_KHR, and VK_MAX_DRIVER_NAME_SIZE_KHR.

Referenced by operator!=().

## Field Documentation

## conformanceVersion

ConformanceVersionKHR VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::conformanceVersion

Definition at line 36404 of file vulkan.hpp.

Referenced by operator==().

## driverID

DriverIdKHR VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::driverID

Definition at line 36401 of file vulkan.hpp.

Referenced by operator==().

## driverInfo

char VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::driverInfo[VK_MAX_DRIVER_INFO_SIZE_KHR]

Definition at line 36403 of file vulkan.hpp.

Referenced by operator==().

## driverName

char VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::driverName[VK_MAX_DRIVER_NAME_SIZE_KHR]

Definition at line 36402 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::pNext = nullptr

Definition at line 36400 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::sType = StructureType::ePhysicalDeviceDriverPropertiesKHR

private

Definition at line 36397 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_MAX_DRIVER_INFO_SIZE_KHR
#define VK_MAX_DRIVER_INFO_SIZE_KHR
Definition: vulkan_core.h:6089
VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::operator==
bool operator==(PhysicalDeviceDriverPropertiesKHR const &rhs) const
Definition: vulkan.hpp:36381
VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::driverID
DriverIdKHR driverID
Definition: vulkan.hpp:36401
VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::sType
StructureType sType
Definition: vulkan.hpp:36397
VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::driverInfo
char driverInfo[VK_MAX_DRIVER_INFO_SIZE_KHR]
Definition: vulkan.hpp:36403
VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::conformanceVersion
ConformanceVersionKHR conformanceVersion
Definition: vulkan.hpp:36404
VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::pNext
void * pNext
Definition: vulkan.hpp:36400
VkPhysicalDeviceDriverPropertiesKHR
Definition: vulkan_core.h:6117
VK_MAX_DRIVER_NAME_SIZE_KHR
#define VK_MAX_DRIVER_NAME_SIZE_KHR
Definition: vulkan_core.h:6088
VULKAN_HPP_NAMESPACE::PhysicalDeviceDriverPropertiesKHR::driverName
char driverName[VK_MAX_DRIVER_NAME_SIZE_KHR]
Definition: vulkan.hpp:36402